Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(535)

Issue 2825143002: [Payment Request] Accepted credit card type icons in the credit card editor (Closed)

Created:
7 months, 3 weeks ago by Moe
Modified:
7 months, 3 weeks ago
Reviewers:
lpromero
CC:
chromium-reviews, ios-reviews+chrome_chromium.org, ios-reviews_chromium.org, mahmadi+paymentsioswatch_chromium.org, pkl (ping after 24h if needed), gogerald+paymentswatch_chromium.org, rouslan+payments_chromium.org, marq+watch_chromium.org, noyau+watch_chromium.org, mahmadi+paymentswatch_chromium.org, sebsg+paymentswatch_chromium.org, sdefresne+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Payment Request] Accepted credit card type icons in the credit card editor BUG=602666 http://imgur.com/a/CCs4H Review-Url: https://codereview.chromium.org/2825143002 Cr-Commit-Position: refs/heads/master@{#466371} Committed: https://chromium.googlesource.com/chromium/src/+/a7b608ab885ee4a75ae15c56e944aa052402cbd4

Patch Set 1 : Initial #

Total comments: 17

Patch Set 2 : Addressed comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+403 lines, -23 lines) Patch
M ios/chrome/browser/payments/cells/BUILD.gn View 2 chunks +3 lines, -0 lines 0 comments Download
A ios/chrome/browser/payments/cells/accepted_payment_methods_item.h View 1 chunk +43 lines, -0 lines 0 comments Download
A ios/chrome/browser/payments/cells/accepted_payment_methods_item.mm View 1 1 chunk +174 lines, -0 lines 0 comments Download
A ios/chrome/browser/payments/cells/accepted_payment_methods_item_unittest.mm View 1 1 chunk +47 lines, -0 lines 0 comments Download
M ios/chrome/browser/payments/cells/autofill_profile_item_unittest.mm View 1 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/payments/cells/page_info_item_unittest.mm View 1 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/payments/cells/payment_method_item_unittest.mm View 1 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/payments/cells/payments_text_item_unittest.mm View 1 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/payments/cells/price_item_unittest.mm View 1 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/payments/credit_card_edit_mediator.mm View 1 4 chunks +34 lines, -1 line 0 comments Download
M ios/chrome/browser/payments/credit_card_edit_view_controller.h View 1 1 chunk +5 lines, -2 lines 0 comments Download
M ios/chrome/browser/payments/credit_card_edit_view_controller.mm View 6 chunks +29 lines, -2 lines 0 comments Download
M ios/chrome/browser/payments/credit_card_edit_view_controller_unittest.mm View 7 chunks +26 lines, -13 lines 0 comments Download
M ios/chrome/browser/ui/settings/material_cell_catalog_view_controller.mm View 1 7 chunks +37 lines, -0 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 16 (8 generated)
Moe
Hi Louis, Please review this CL.
7 months, 3 weeks ago (2017-04-19 23:15:58 UTC) #5
lpromero
Doesn't the insets look weird on the real screen? Note that if you know the ...
7 months, 3 weeks ago (2017-04-20 16:30:49 UTC) #6
lpromero
https://codereview.chromium.org/2825143002/diff/20001/ios/chrome/browser/payments/cells/accepted_payment_methods_item.mm File ios/chrome/browser/payments/cells/accepted_payment_methods_item.mm (right): https://codereview.chromium.org/2825143002/diff/20001/ios/chrome/browser/payments/cells/accepted_payment_methods_item.mm#newcode61 ios/chrome/browser/payments/cells/accepted_payment_methods_item.mm:61: UIStackView* _stackView; How does the stack view behave if ...
7 months, 3 weeks ago (2017-04-20 16:59:52 UTC) #7
Moe
Hi Louis, PTAL. The insets are according to the mocks. But for the sake of ...
7 months, 3 weeks ago (2017-04-21 14:14:14 UTC) #9
lpromero
LGTM! Thank you for you patience with all the preliminary work that was needed! https://codereview.chromium.org/2825143002/diff/20001/ios/chrome/browser/payments/cells/accepted_payment_methods_item.mm ...
7 months, 3 weeks ago (2017-04-21 14:49:41 UTC) #10
Moe
On 2017/04/21 14:49:41, lpromero wrote: > LGTM! Thank you for you patience with all the ...
7 months, 3 weeks ago (2017-04-21 15:53:03 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2825143002/40001
7 months, 3 weeks ago (2017-04-21 15:53:24 UTC) #13
commit-bot: I haz the power
7 months, 3 weeks ago (2017-04-21 17:07:45 UTC) #16
Message was sent while issue was closed.
Committed patchset #2 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/a7b608ab885ee4a75ae15c56e944...

Powered by Google App Engine
This is Rietveld 0eb02b776